gstreamermm 1.8.0

Public Member Functions | Protected Attributes | List of all members
Gst::VideoChromaResample Class Reference

`#include <gstreamermm/videochroma.h>`

## Public Member Functions
| VideoChromaResample (Gst::VideoChromaMethod method, Gst::VideoChromaSite site, Gst::VideoChromaFlags flags, Gst::VideoFormat format, gint h_factor, gint v_factor)
| VideoChromaResample (GstVideoChromaResample* castitem)
| ~VideoChromaResample ()
GstVideoChromaResample* | gobj ()
const GstVideoChromaResample* | gobj () const
void | get_info (guint& n_lines, gint& offset) const
| The resampler must be fed n_lines at a time. More...

## Protected Attributes
GstVideoChromaResample* | gobject_

## Constructor & Destructor Documentation

## § VideoChromaResample() [1/2]

Gst::VideoChromaResample::VideoChromaResample | ( | Gst::VideoChromaMethod | method,
|  | Gst::VideoChromaSite | site,
|  | Gst::VideoChromaFlags | flags,
|  | Gst::VideoFormat | format,
|  | gint | h_factor,
|  | gint | v_factor
| ) |  |

## § VideoChromaResample() [2/2]

Gst::VideoChromaResample::VideoChromaResample | ( | GstVideoChromaResample * | castitem | ) |
| explicit

## § ~VideoChromaResample()

Gst::VideoChromaResample::~VideoChromaResample | ( |  | ) |

## Member Function Documentation

## § get_info()

void Gst::VideoChromaResample::get_info | ( | guint & | n_lines,
|  | gint & | offset
| ) |  | const

The resampler must be fed n_lines at a time.

The first line should be at offset.

Parameters

  n_lines | The number of input lines.
  offset | The first line.

## § gobj() [1/2]

GstVideoChromaResample* Gst::VideoChromaResample::gobj | ( |  | ) |
| inline

## § gobj() [2/2]

const GstVideoChromaResample* Gst::VideoChromaResample::gobj | ( |  | ) | const
| inline

## Member Data Documentation

## § gobject_

GstVideoChromaResample* Gst::VideoChromaResample::gobject_
| protected